<?php

namespace App\Modules\StatusGroup\Application\Update;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class UpdateStatusGroupQuery implements Query
{
    public function __construct(
        private int $id,
        private string $name,
        private string $abrev,
        private string $color,
        private int $status,
    ) {
    }

    public function id(): string
    {
        return $this->id;
    }

    public function name(): string
    {
        return $this->name;
    }

    public function abrev(): string
    {
        return $this->abrev;
    }

    public function color(): string
    {
        return $this->color;
    }

    public function status(): int
    {
        return $this->status;
    }
}
